Subject: Re: bug#51390: 29.0.50; repeat-mode: Fails to repeat keys in global-map(?)

From: Juri Linkov <[email-masked]>
Date: Wed, 17 Nov 2021 09:54:55 +0200

> When you do not know the structure of the outline headings beforehand,
> it can so happen that you press f/b anticipating that there's a heading
> on the same level but that might not be case.  If f/b `error's, then you
> have to press n/p to continue navigating.  This is what I meant by
> "misfiring."
>
> If repeat-mode decides to end the repeating sequence, I'd have to start
> again with C-c @ C-n.  IMO, this isn't a friendly interface.
>
>>Triggering repeat-map on error is a bug that will be fixed.
>>But it will be fixed in such a way that the error will exit
>>the repeating sequence.
>
> My point is that sometimes it is desirable to not end the sequence on
> `error'.

Thanks, everything's clear now.  And no worries — a new option will allow
to not end the repeating sequence on error.

One problem I had with writing tests for such a feature — tests for repeat-mode
are based on ‘execute-kbd-macro’, but an error ends the keyboard macro.
So probably there will be no tests for this error-signaling repeatable commands.